=== debian/changelog ===
vym (2.9.31-1) unstable; urgency=medium

  * New upstream release.
    Upstream commit da30b21109544ee0596ebf4d9738b5fed69b3cc4
  * Remove Pierre Chifflier as the maintainer. Thanks a lot
    for all the years of maintaining vym and other packages.

 -- Sven Hoexter <hoexter@debian.org>  Wed, 09 Oct 2024 21:27:56 +0200
