=== debian/control ===
Source: vym
Section: kde
Priority: optional
Maintainer: Sven Hoexter <hoexter@debian.org>
Build-Depends: debhelper-compat (=13),
    cmake,
    qtbase5-dev,
    qttools5-dev,
    qtscript5-dev,
    libdbus-1-dev,
    libqt5svg5-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://www.insilmaril.de/vym/
Vcs-Git: https://git.sven.stormbind.net/vym.git
Vcs-Browser: https://git.sven.stormbind.net/?p=sven/vym.git

Package: vym
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, zip, unzip, xsltproc
Suggests: ruby | ruby-interpreter
Description: mindmapping tool
 Vym is a mind mapping program. It is useful to organize thoughts and
 do structure work. In addition to that it has a lot of helpful
 shortcuts.
 .
 A mindmap is a multicolored and image centered radial diagram that
 represents semantic or other connections between portions of learned
 material.  For example, it can graphically illustrate the structure
 of a thesis outline, a project plan, or the government institutions
 in a state.  Mindmaps have many applications in personal, family,
 educational, and business situations.  Possibilities include
 note-taking, brainstorming, summarizing, revising and general
 clarifying of thoughts.
