## vym 2.9.577

=== debian/changelog ===
vym (2.9.577-1) experimental; urgency=medium

  * First beta of vym 3.
    Upstream commit c1aba7196372e5bc501360b9a237581a1703330f, branch develop.

 -- Sven Hoexter <hoexter@debian.org>  Wed, 25 Jun 2025 20:12:09 +0200

vym (2.9.576-1) experimental; urgency=medium

  * Development snapshot of vym 3.
    Upstream commit 93726ef1c24883e3772b2dd240afab88752a8785, branch develop.
    The vym files generated now are incompatible with releases
    before 2.9.500.
  * Move  Build-Depends from Qt5 to Qt6.
  * Refresh all patches.
  * Update Standards-Version to 4.7.2 - no changes required.
  * Make sure to remove empty /usr/share/doc/vym/devel.

 -- Sven Hoexter <hoexter@debian.org>  Sun, 15 Jun 2025 19:31:08 +0200
