=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Sven Hoexter <hoexter@debian.org>
 Build-Depends: debhelper-compat (=13),
     cmake,
-    qtbase5-dev,
-    qttools5-dev,
-    qtscript5-dev,
-    libdbus-1-dev,
-    libqt5svg5-dev
-Standards-Version: 4.7.0
+    qt6-declarative-dev,
+    qt6-tools-dev,
+    qt6-svg-dev,
+    libdbus-1-dev
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: http://www.insilmaril.de/vym/
 Vcs-Git: https://git.sven.stormbind.net/vym.git
