=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND = -Wall
-export QT_SELECT = 5
+export QT_SELECT = 6
 
 %:
 	dh $@
@@ -15,6 +15,8 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/vym/
+	# Remove empty directory
+	rmdir debian/vym/usr/share/doc/vym/devel
 
 # prevent compression of pdf documentation
 override_dh_compress:
