## vym 2.9.582

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,30 +1,41 @@
-cmake_minimum_required(VERSION 3.12)
+cmake_minimum_required(VERSION 3.16)
 
-project(ViewYourMind-release)
+project(ViewYourMind-develop LANGUAGES CXX)
 
-find_package(Qt5 COMPONENTS Widgets LinguistTools REQUIRED)
+# See also https://doc.qt.io/qt-6.5/cmake-get-started.html
+
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
+
+if (CMAKE_SYSTEM_NAME STREQUAL Linux)
+    message(STATUS "using UNIX in cmake")	# FIXME-0 still required?
+endif()
 
 set(QtComponents
     LinguistTools
     Network
     PrintSupport
-    Script
+    Qml
     Svg
+    SvgWidgets
     Widgets
     Xml
 )
 
 set(QtLibraries
-    Qt5::Network
-    Qt5::PrintSupport
-    Qt5::Script
-    Qt5::Svg
-    Qt5::Widgets
-    Qt5::Xml
+    Qt6::Network
+    Qt6::PrintSupport
+    Qt6::Qml
+    Qt6::Svg
+    Qt6::SvgWidgets
+    Qt6::Widgets
+    Qt6::Xml
 )
 
-# Switch on Debug mode with one of below:
+# Switch on Debug mode  on command line with
 # cmake -DCMAKE_BUILD_TYPE=Debug .
+#
+# or uncomment here:
 # set(CMAKE_BUILD_TYPE Debug)
 
 set(CMAKE_AUTOMOC ON)
@@ -34,12 +45,14 @@
 # On Linux DBUS is used for IPC with vym
 # On openSUSE install it using:  zypper install dbus-1-devel
 
-if (UNIX)
+if (CMAKE_SYSTEM_NAME STREQUAL Linux)
     find_package(DBus1)
 
     if(DBus1_FOUND)
+        message(STATUS "Deteced DBUS1 available, adding DBUS interfaces")
+
         LIST(APPEND QtComponents DBus)
-        LIST(APPEND QtLibraries Qt5::DBus)
+        LIST(APPEND QtLibraries Qt6::DBus)
     endif()
 endif()
 
@@ -64,17 +77,15 @@
 
 include(GNUInstallDirs)
 
-find_package(Qt5 COMPONENTS ${QtComponents} REQUIRED)
-set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
-set(CMAKE_AUTOUIC ON)
+find_package(Qt6 COMPONENTS ${QtComponents} REQUIRED)
+
 list(APPEND CMAKE_AUTOUIC_SEARCH_PATHS "${CMAKE_SOURCE_DIR}/forms")
 
-get_target_property(QtLibraryType Qt5::Widgets TYPE)
+get_target_property(QtLibraryType Qt6::Widgets TYPE)
 
 if(QtLibraryType STREQUAL STATIC_LIBRARY)
     message(STATUS "Static Qt linkage")
-    list(APPEND QtLibraries Qt5::QSvgPlugin)
+    list(APPEND QtLibraries Qt6::QSvgPlugin)
 endif()
 
 include_directories(
@@ -92,8 +103,7 @@
     ADD_COMPILE_DEFINITIONS(_USE_MATH_DEFINES)
 endif()
 
-
-# Add DBUS interfaces, if DBUS is available on platform
+# Add DBUS interfaces to sources, if DBUS is available on platform
 if(DBus1_FOUND)
     list(APPEND VymSources src/dbus/adaptormodel.cpp src/dbus/adaptorvym.cpp)
     include_directories(${CMAKE_SOURCE_DIR}/src/dbus ${CMAKE_SOURCE_DIR}/src)
@@ -102,8 +112,8 @@
 
 # Translations  (release)
 
-    # To update the translation files based on source code changes 
-    # first call manually 
+    # To update the translation files based on source code changes
+    # first call manually
     # lupdate-qt5 src/ -ts lang/*.ts
     #
     # Qt6 will have a dedicated macro:
@@ -120,7 +130,7 @@
 #QT5_create_translation(qm_files ${CMAKE_BINARY_DIR} ${ts_files})
 #QT5_create_translation(qm_files ${CMAKE_SOURCE_DIR}/src)
 
-QT5_add_translation(qm_files ${ts_files})
+QT6_add_translation(qm_files ${ts_files})
 add_compile_definitions(CMAKE_SOURCE_DIR)
 
 message(STATUS "CMAKE_BINARY_DIR: ${CMAKE_BINARY_DIR}")
@@ -167,8 +177,9 @@
 
 if(UNIX)
     install(FILES icons/vym.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/48x48/apps)
-    file(CREATE_LINK ../apps/vym.png application-x-vym.png SYMBOLIC)
-    install(FILES ${CMAKE_BINARY_DIR}/application-x-vym.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/48x48/mimetypes)
+    # Disabling PR #109 for now:
+    # file(CREATE_LINK ../apps/vym.png application-x-vym.png SYMBOLIC)
+    # install(FILES ${CMAKE_BINARY_DIR}/application-x-vym.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/48x48/mimetypes)
     install(FILES config/vym.xml DESTINATION ${CMAKE_INSTALL_PREFIX}/share/mime/packages)
     install(FILES config/vym.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
 endif()
