=== debian/changelog ===
vym (2.9.582-1) experimental; urgency=medium

  * New development snapshot of vym 3.
    Upstream commit 08be30f81cb9e3d743ca363c42e24a1c5f594077, branch develop.
  * Ensure helper scripts in /usr/share/vym/scripts/ are executable.
  * Remove ruby-interpreter from suggested packages.
  * Add ruby-mail to list of suggested packages.
  * Add build-deps libcups2-dev, libxkbcommon-dev.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 07 Jul 2025 17:49:46 +0200
