=== debian/control ===
--- 
+++ 
@@ -7,7 +7,9 @@
     qt6-declarative-dev,
     qt6-tools-dev,
     qt6-svg-dev,
-    libdbus-1-dev
+    libdbus-1-dev,
+    libcups2-dev,
+    libxkbcommon-dev
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: http://www.insilmaril.de/vym/
@@ -17,7 +19,7 @@
 Package: vym
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, zip, unzip, xsltproc
-Suggests: ruby | ruby-interpreter
+Suggests: ruby, ruby-mail
 Description: mindmapping tool
  Vym is a mind mapping program. It is useful to organize thoughts and
  do structure work. In addition to that it has a lot of helpful
