=== debian/changelog ===
vym (2.9.588-1) unstable; urgency=medium

  * New development snapshot of vym 3.
    Upstream commit 30bb79cb883c15f68953b6a9a5182e8afdcf991d, branch develop.
  * d/control: Drop Rules-Requires-Root: no, it's the default now.

 -- Sven Hoexter <hoexter@debian.org>  Mon, 11 Aug 2025 14:51:58 +0200
