=== debian/changelog ===
vym (2.9.598-1) unstable; urgency=medium

  * New upstream snapshot of vym 3.
    Upstream commit ae5e44061aa844965fb7d185ef387b64d05c8895, branch develop.
  * debian/watch: Update to version 5.
  * Install upstream appdata file to /usr/share/metainfo.

 -- Sven Hoexter <hoexter@debian.org>  Fri, 26 Sep 2025 20:04:49 +0200
