=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
     libcups2-dev,
     libxkbcommon-dev
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: http://www.insilmaril.de/vym/
 Vcs-Git: https://git.sven.stormbind.net/vym.git
 Vcs-Browser: https://git.sven.stormbind.net/?p=sven/vym.git
