=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,9 @@
 	dh_auto_install --destdir=debian/vym/
 	# Remove empty directory
 	rmdir debian/vym/usr/share/doc/vym/devel
+	# Ensure helper scripts are executable
+	chmod +x debian/vym/usr/share/vym/scripts/vivym \
+		 debian/vym/usr/share/vym/scripts/vym-addmail.rb
 
 # prevent compression of pdf documentation
 override_dh_compress:
