=== debian/watch ===
Version: 5
Template: Github
Owner: insilmaril
Project: vym
