=== debian/changelog ===
vym (2.9.604-1) unstable; urgency=medium

  * New upstream snapshot of vym 3.
    Upstream commit e00fe254a6ff6db1cface0645cbb1769a302bbef, branch develop.
  * Refresh all patches.
  * Update to Standards-Version 4.7.3, remove the Priority field.
  * Remove DATAROOTDIR and DOCDIR overrides, upstream changed accordingly.

 -- Sven Hoexter <hoexter@debian.org>  Thu, 22 Jan 2026 13:07:22 +0100
