=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: vym
 Section: kde
-Priority: optional
 Maintainer: Sven Hoexter <hoexter@debian.org>
 Build-Depends: debhelper-compat (=13),
     cmake,
@@ -10,7 +9,7 @@
     libdbus-1-dev,
     libcups2-dev,
     libxkbcommon-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: http://www.insilmaril.de/vym/
 Vcs-Git: https://git.sven.stormbind.net/vym.git
 Vcs-Browser: https://git.sven.stormbind.net/?p=sven/vym.git
