=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DCMAKE_INSTALL_DATAROOTDIR="share/vym" \
-		-DCMAKE_INSTALL_MANDIR="share/man/man1" \
-		-DCMAKE_INSTALL_DOCDIR="share/doc/vym"
+		-DCMAKE_INSTALL_MANDIR="share/man/man1"
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/vym/
